%{!?dist: %define dist .slc5}
Name: cern-rhel-access
Version: 1.0.0
Release: 6%{?dist}
Summary: Generate netgroup and .htaccess files based on CERN RHEL licenses
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires: python, openafs-client
Obsoletes: CERN-CC-rhel-acl
Provides: CERN-CC-rhel-acl

%description 
Generate netgroup and .htaccess files based on CERN RHEL licenses

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}
install -m 755 rhel_access $RPM_BUILD_ROOT/%{_bindir}
cp -rv etc $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%config(noreplace) /etc/cron.d/%{name}
/etc/logrotate.d/%{name}
%{_bindir}/rhel_access

%post
touch /var/log/%{name}.log

%changelog
* Thu Jul  6 2010  KELEMEN Peter <Peter.Kelemen@cern.ch> - 1.0.0-5
- Adopted orphaned 1.0.0-4, sanitized file names and locations, updated deps.
